%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		gnome-clocks
Version:	3.10.1
Release:	%mkrel 3
Summary:	Clocks applications for GNOME
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/Clocks
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
Buildrequires:	pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.36
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
BuildRequires:	pkgconfig(libcanberra) >= 0.30
BuildRequires:	pkgconfig(gweather-3.0) >= 3.9.3
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.7.90
BuildRequires:	pkgconfig(libnotify) >= -.7.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(geocode-glib-1.0)
BuildRequires:	vala-tools
BuildRequires:	libxml2-utils
BuildRequires:	itstool
Conflicts:	gir-repository

%description
Clock application designed for GNOME 3.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc COPYING README NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/*/*/apps/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.clocks.gschema.xml


%changelog
* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550159
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542402
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497541
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484425
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480811
- new version 3.9.92

* Tue Sep 03 2013 fwang <fwang> 3.9.91-1.mga4
+ Revision: 474556
- update file list

  + ovitters <ovitters>
    - new version 3.9.91

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474372
- Rebuild against new gnome-desktop3

* Sun Sep 01 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 473857
- add missing files in tarball, to be removed in next version
- br xmllint
- bump req

  + ovitters <ovitters>
    - new version 3.9.90

* Sat Aug 03 2013 ovitters <ovitters> 3.9.3-1.mga4
+ Revision: 462891
- new version 3.9.3

* Fri Jul 26 2013 dams <dams> 3.9.2-1.mga4
+ Revision: 458203
- new version 3.9.2

* Mon Jul 01 2013 dams <dams> 3.8.2-2.mga4
+ Revision: 449497
- rebuild for new 'libgweather'

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427491
- br gobject-introspection-1.0
- br vala-tools
- br gtk+3.0,libcanberra,gweather-3.0,gnome-desktop-3.0,libnotify
- fix spec
- new version 3.8.2
- new version 0.1.6

* Sat Jan 12 2013 umeabot <umeabot> 0.1.5-2.mga3
+ Revision: 352061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 ovitters <ovitters> 0.1.5-1.mga3
+ Revision: 326069
- new version 0.1.5

* Mon Oct 15 2012 ovitters <ovitters> 0.1.4-1.mga3
+ Revision: 306827
- new version 0.1.4

* Wed Sep 26 2012 ovitters <ovitters> 0.1.3-1.mga3
+ Revision: 298500
- new version 0.1.3

* Tue Sep 18 2012 fwang <fwang> 0.1.2-1.mga3
+ Revision: 295788
- new version 0.1.2

* Wed Sep 12 2012 ovitters <ovitters> 0.1.1-2.mga3
+ Revision: 292833
- conflicts with gir-repository

* Wed Sep 12 2012 ovitters <ovitters> 0.1.1-1.mga3
+ Revision: 292761
- intltool
- br pythonegg(python-distutils-extra)
- Import (based on d-feet spec)

